From 2aec824bd498cbe301b86acc1e686a22210126e6 Mon Sep 17 00:00:00 2001
From: Peter Eisentraut <peter_e@gmx.net>
Date: Thu, 17 Aug 2017 12:39:20 -0400
Subject: [PATCH 4/6] Remove unnecessary casts

---
 contrib/cube/cube.c | 8 ++++----
 1 file changed, 4 insertions(+), 4 deletions(-)

diff --git a/contrib/cube/cube.c b/contrib/cube/cube.c
index 0e968d1c76..1032b997f9 100644
--- a/contrib/cube/cube.c
+++ b/contrib/cube/cube.c
@@ -609,18 +609,18 @@ g_cube_leaf_consistent(NDBOX *key,
 	switch (strategy)
 	{
 		case RTOverlapStrategyNumber:
-			retval = (bool) cube_overlap_v0(key, query);
+			retval = cube_overlap_v0(key, query);
 			break;
 		case RTSameStrategyNumber:
-			retval = (bool) (cube_cmp_v0(key, query) == 0);
+			retval = (cube_cmp_v0(key, query) == 0);
 			break;
 		case RTContainsStrategyNumber:
 		case RTOldContainsStrategyNumber:
-			retval = (bool) cube_contains_v0(key, query);
+			retval = cube_contains_v0(key, query);
 			break;
 		case RTContainedByStrategyNumber:
 		case RTOldContainedByStrategyNumber:
-			retval = (bool) cube_contains_v0(query, key);
+			retval = cube_contains_v0(query, key);
 			break;
 		default:
 			retval = FALSE;
-- 
2.14.1

